Sketchup.load(Sketchup.find_support_file("Plugins/lfx_Landfx/landfx.rbs"))

# ============================================================
# create menu/toolbar
# ============================================================
if ( not file_loaded?( __FILE__ ) )

	add_separator_to_menu("Plugins")
	plugins_menu = UI.menu("Plugins")
	submenu = plugins_menu.add_submenu("Land F-X")
	
	toolbar = UI::Toolbar.new "LandFX"

	# Projects
	command = UI::Command.new("Land F-X Projects") { Landfx.Projects(true) }
		command.menu_text = "Projects"
		command.status_bar_text = "Access, Create, Backup, and Restore Land F/X projects"
		command.large_icon = Sketchup.find_support_file "Project_large.png", "Plugins/lfx_Landfx"
		command.small_icon = Sketchup.find_support_file "Project_small.png", "Plugins/lfx_Landfx"
		command.tooltip = "Land F-X Projects"
	submenu.add_item command
	toolbar.add_item command

	# ImportLayer
	command = UI::Command.new("Land F-X Import Layer") { Landfx.ImportLayer }
		command.menu_text = "Import Layer"
		command.status_bar_text = "Import a layer that was sent from Land F/X CAD add-on"
		command.large_icon = Sketchup.find_support_file "ImportLayer_large.png", "Plugins/lfx_Landfx"
		command.small_icon = Sketchup.find_support_file "ImportLayer_small.png", "Plugins/lfx_Landfx"
	toolbar.add_item command
	submenu.add_item command

	# Import
	command = UI::Command.new("Land F-X Import Plants") { Landfx.Import }
		command.menu_text = "Import Plants"
		command.status_bar_text = "Place trees and shrubs at corresponding locations sent from Land F/X CAD add-on"
		command.large_icon = Sketchup.find_support_file "Import_large.png", "Plugins/lfx_Landfx"
		command.small_icon = Sketchup.find_support_file "Import_small.png", "Plugins/lfx_Landfx"
		command.tooltip = "Land F-X Import plants from CAD"
	toolbar.add_item command
	submenu.add_item command

	# place trees
	command = UI::Command.new("Land F-X Place Tree") { Landfx.Manager("TREES") }
		command.menu_text = "Place Tree"
		command.status_bar_text = "Place Land F/X trees into SketchUp"
		command.large_icon = Sketchup.find_support_file "PlaceTree_large.png", "Plugins/lfx_Landfx"
		command.small_icon = Sketchup.find_support_file "PlaceTree_small.png", "Plugins/lfx_Landfx"
		command.tooltip = "Land F-X Place Tree"
	toolbar.add_item command
	submenu.add_item command

	# place shrubs
	command = UI::Command.new("Land F-X Place Shrub") { Landfx.Manager("SHRUBS") }
		command.menu_text = "Place Shrub"
		command.status_bar_text = "Place Land F/X shrubs into SketchUp"
		command.large_icon = Sketchup.find_support_file "PlaceShrub_large.png", "Plugins/lfx_Landfx"
		command.small_icon = Sketchup.find_support_file "PlaceShrub_small.png", "Plugins/lfx_Landfx"
		command.tooltip = "Land F-X Place Shrub"
	toolbar.add_item command
	submenu.add_item command

	# place site amenities
	command = UI::Command.new("Land F-X Place Site Amenity") { Landfx.Manager("SITE") }
		command.menu_text = "Place Site Amenity"
		command.status_bar_text = "Place Land F/X site amenities into SketchUp"
		command.large_icon = Sketchup.find_support_file "PlaceSiteAmenity_large.png", "Plugins/lfx_Landfx"
		command.small_icon = Sketchup.find_support_file "PlaceSiteAmenity_small.png", "Plugins/lfx_Landfx"
		command.tooltip = "Land F-X Place Site Amenity"
	toolbar.add_item command
	submenu.add_item command

	# concept lines
	command = UI::Command.new("Land F-X Concept Lines") { Landfx.ConceptLine }
		command.menu_text = "Concept Lines"
		command.status_bar_text = "Place thick illustrative lines and arrows"
		command.large_icon = Sketchup.find_support_file "ConceptLines_large.png", "Plugins/lfx_Landfx"
		command.small_icon = Sketchup.find_support_file "ConceptLines_small.png", "Plugins/lfx_Landfx"
		command.tooltip = "Land F-X Place Site Amenity"
	toolbar.add_item command
	submenu.add_item command

	# landfxInfo
	commandi = UI::Command.new("Land F-X Plant Info") { Landfx.Info }
		commandi.menu_text = "Plant Info"
		commandi.status_bar_text = "Queries the Land F-X information for a selected plant"
		commandi.large_icon = Sketchup.find_support_file "ObjectInfo_large.png", "Plugins/lfx_Landfx"
		commandi.small_icon = Sketchup.find_support_file "ObjectInfo_small.png", "Plugins/lfx_Landfx"
		commandi.tooltip = "Land F-X Plant Info"
	toolbar.add_item commandi
	submenu.add_item commandi
	# and as a context menu
	UI.add_context_menu_handler do |menu|
		if (Sketchup.active_model.selection.length == 1 and 
				(Sketchup.active_model.selection[0].get_attribute('landfx', 'plant') or 
				Sketchup.active_model.selection[0].get_attribute('landfx','dgplant') or
				Sketchup.active_model.selection[0].get_attribute('landfx','site')
				)
			)
			menu.add_separator
			menu.add_item Landfx::INFO
		end # if lfx object and only one
	end # ui.add

	# PlantLegend
	command = UI::Command.new("Land F-X Plant Legend") { Landfx.PlantLegend }
		command.menu_text = "Plant Legend"
		command.status_bar_text = "Create a Plant Legend from the plants placed into the current model"
		command.large_icon = Sketchup.find_support_file "PlantSchedule_large.png", "Plugins/lfx_Landfx"
		command.small_icon = Sketchup.find_support_file "PlantSchedule_small.png", "Plugins/lfx_Landfx"
		command.tooltip = "Land F-X Plant Legend"
	toolbar.add_item command
	submenu.add_item command

	# Export
	command = UI::Command.new("Land F-X Export Design") { Landfx.Export }
		command.menu_text = "Export Design"
		command.status_bar_text = "Assemble a list of all trees and shrubs in their current locations, for updating within CAD"
		command.large_icon = Sketchup.find_support_file "Export_large.png", "Plugins/lfx_Landfx"
		command.small_icon = Sketchup.find_support_file "Export_small.png", "Plugins/lfx_Landfx"
		command.tooltip = "Land F-X Export to CAD"
	toolbar.add_item command
	submenu.add_item command

	# Settings
	command = UI::Command.new("Land F-X Settings") { Landfx.Settings(true) }
		command.menu_text = "Settings"
		command.status_bar_text = "Access plug-in settings"
		command.large_icon = Sketchup.find_support_file "Settings_large.png", "Plugins/lfx_Landfx"
		command.small_icon = Sketchup.find_support_file "Settings_small.png", "Plugins/lfx_Landfx"
		command.tooltip = "Land F-X Settings"
	toolbar.add_item command
	submenu.add_item command

	# landfxHelp
	command = UI::Command.new("Land F-X Help") { Landfx.Help }
		command.menu_text = "Help"
		command.status_bar_text = "Access the Land F-X documentation for assistance with using the Plug-in"
		command.large_icon = Sketchup.find_support_file "Help_large.png", "Plugins/lfx_Landfx"
		command.small_icon = Sketchup.find_support_file "Help_small.png", "Plugins/lfx_Landfx"
		command.tooltip = "Land F-X Help"
	toolbar.add_item command
	submenu.add_item command

	toolbar.show
	toolbar = nil
	command = nil
	commandi = nil
	plugins_menu = nil
	
end # if not loaded
# ============================================================
